petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESGetNPCSide

Gets the preconditioning side.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetNPCSide(SNES snes,PCSide *side)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

side -the preconditioning side, where side is one of

          PC_LEFT - left preconditioning
          PC_RIGHT - right preconditioning (default for most nonlinear solvers)

### Keywords

SNES, get, right, left, side, preconditioner, flag

### See Also

SNESSetNPCSide(), KSPGetPCSide()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages